CREATE TABLE inv_item_sub_maint_details (
    ITEM_SUB_MAINT_DETAIL_ID      NUMBER(18, 0) ,
    MASS_MAINT_ACTION_ID          NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0) ,
    ITEM_NUMBER                   VARCHAR2(1200),
    ORGANIZATION_ID               NUMBER(18, 0) ,
    ORGANIZATION_CODE             VARCHAR2(72)  ,
    SECONDARY_INVENTORY           VARCHAR2(40)      NOT NULL,
    PROCESSING_STATUS_CODE        VARCHAR2(320)     NOT NULL,
    ERROR_CODE                    VARCHAR2(120) ,
    ERROR_EXPLANATION             VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    MINMAX_QUANTITY_UOM           VARCHAR2(12)  ,
    MINMAX_QTY_UNIT_OF_MEASURE    VARCHAR2(100) ,
    MIN_MINMAX_QUANTITY           NUMBER        ,
    MAX_MINMAX_QUANTITY           NUMBER        ,
    INVENTORY_PLANNING_CODE       NUMBER(9, 0)  ,
    INVENTORY_PLANNING_MEANING    VARCHAR2(320) ,
    FIXED_LOT_MULTIPLE            NUMBER(9, 0)  ,
    MINIMUM_ORDER_QUANTITY        NUMBER        ,
    MAXIMUM_ORDER_QUANTITY        NUMBER        ,
    SOURCE_TYPE                   VARCHAR2(120) ,
    SOURCE_TYPE_MEANING           VARCHAR2(320) ,
    SOURCE_ORGANIZATION_ID        NUMBER(18, 0) ,
    SOURCE_ORGANIZATION_NAME      VARCHAR2(960) ,
    SOURCE_SUBINVENTORY           VARCHAR2(40)  ,
    REQUEST_ID                    NUMBER(18, 0) ,
    PREPROCESSING_LEAD_TIME       NUMBER        ,
    PROCESSING_LEAD_TIME          NUMBER        ,
    POSTPROCESSING_LEAD_TIME      NUMBER        ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    PAR_LEVEL                     NUMBER        ,
    PAR_UOM_CODE                  VARCHAR2(12)  ,
    PAR_UNIT_OF_MEASURE           VARCHAR2(100) ,
    DEFAULT_COUNT_TYPE_CODE       VARCHAR2(120) ,
    DEFAULT_COUNT_TYPE_NAME       VARCHAR2(320) ,
    PAR_MAX_QTY                   NUMBER        ,
    COUNT_REQUIRED                VARCHAR2(4)   ,
    QTY_COUNT_TOLERANCE           NUMBER        ,
    FULL_LPN_FLAG                 VARCHAR2(4)   ,
    NUMBER_OF_BINS                NUMBER        ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ITEM_SUB_MAINT_DETAIL_ID      NUMBER(18, 0) ,
    MASS_MAINT_ACTION_ID          NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0) ,
    ITEM_NUMBER                   VARCHAR2(1200),
    ORGANIZATION_ID               NUMBER(18, 0) ,
    ORGANIZATION_CODE             VARCHAR2(72)  ,
    SECONDARY_INVENTORY           VARCHAR2(40)      NOT NULL,
    PROCESSING_STATUS_CODE        VARCHAR2(320)     NOT NULL,
    ERROR_CODE                    VARCHAR2(120) ,
    ERROR_EXPLANATION             VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    MINMAX_QUANTITY_UOM           VARCHAR2(12)  ,
    MINMAX_QTY_UNIT_OF_MEASURE    VARCHAR2(100) ,
    MIN_MINMAX_QUANTITY           NUMBER        ,
    MAX_MINMAX_QUANTITY           NUMBER        ,
    INVENTORY_PLANNING_CODE       NUMBER(9, 0)  ,
    INVENTORY_PLANNING_MEANING    VARCHAR2(320) ,
    FIXED_LOT_MULTIPLE            NUMBER(9, 0)  ,
    MINIMUM_ORDER_QUANTITY        NUMBER        ,
    MAXIMUM_ORDER_QUANTITY        NUMBER        ,
    SOURCE_TYPE                   VARCHAR2(120) ,
    SOURCE_TYPE_MEANING           VARCHAR2(320) ,
    SOURCE_ORGANIZATION_ID        NUMBER(18, 0) ,
    SOURCE_ORGANIZATION_NAME      VARCHAR2(960) ,
    SOURCE_SUBINVENTORY           VARCHAR2(40)  ,
    REQUEST_ID                    NUMBER(18, 0) ,
    PREPROCESSING_LEAD_TIME       NUMBER        ,
    PROCESSING_LEAD_TIME          NUMBER        ,
    POSTPROCESSING_LEAD_TIME      NUMBER        ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    PAR_LEVEL                     NUMBER        ,
    PAR_UOM_CODE                  VARCHAR2(12)  ,
    PAR_UNIT_OF_MEASURE           VARCHAR2(100) ,
    DEFAULT_COUNT_TYPE_CODE       VARCHAR2(120) ,
    DEFAULT_COUNT_TYPE_NAME       VARCHAR2(320) ,
    PAR_MAX_QTY                   NUMBER        ,
    COUNT_REQUIRED                VARCHAR2(4)   ,
    QTY_COUNT_TOLERANCE           NUMBER        ,
    FULL_LPN_FLAG                 VARCHAR2(4)   ,
    NUMBER_OF_BINS                NUMBER        ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    CONSTRAINT pk_inv_item_sub_maint_details PRIMARY KEY (ITEM_SUB_MAINT_DETAIL_ID, ITEM_SUB_MAINT_DETAIL_ID)
);
